import React from 'react';
import styles from './index.less';
import css from 'classnames';
import CloseIcon from './components/close';
import MinimizeIcon from './components/minimize';
import ZoomIcon from './components/zoom';
import logoImg from './assets/logo.png';
import { useModel } from 'umi';
import UserCenter from './components/userCenter';

export default function AppHeader(props) {
  const { className, style } = props;
  const { initialState: { isLogin } = { isLogin: false } } = useModel('@@initialState');

  return (
    <div className={css(styles.appHeader, className)} style={style}>
      <div className={styles.left}>
        <img src={logoImg} alt="" />
      </div>
      <div className={styles.right}>
        {
          isLogin
            ? (
              <>
                <UserCenter className={styles.mr16} />
              </>
            )
            : null
        }
        <div className={styles.split} />
        <MinimizeIcon className={styles.mr12} />
        <ZoomIcon className={styles.mr12} />
        <CloseIcon className={styles.mr12} />
      </div>
    </div>
  )
}