import { message } from 'antd';
import { request } from 'umi';
import { parseRequest } from './request.config';
import { firstCharToLowerCase, handleRequest } from './tool';


export async function fetchApi<T = any>(path: string, params = {}, options = { silent: false }) {
  const [method, fullpath] = parseRequest(path);
  const { silent, ...restOptions } = options;
  const res = await request<API.ResponseData<T>>(fullpath, { method, [method === 'GET' ? 'params' : 'data']: params, ...restOptions });
  if(!silent) {
    handleRequest(res)
    .error(() => {
      message.error(res.message);
    })
  }
  return res;
}